"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Mail = void 0;
const nodemailer = require("nodemailer");
class Mail {
    constructor(options) {
        this.options = options;
        this.transporter = nodemailer.createTransport({
            ...this.options,
            // secure: true,
        });
    }
    /**
     * Create a mail client
     *
     * @param options mail config
     */
    static create(options) {
        return new Mail(options);
    }
    /**
     * Alias of create
     *
     * @param options mail config
     */
    static createClient(options) {
        return this.create(options);
    }
    /**
     * send mail method
     *
     * @param mail content
     */
    async send({ to, subject, content }) {
        const { options } = this;
        const _data = {
            from: `${options.auth.user}<${options.auth.user}>`,
            to,
            subject,
            html: content,
        };
        return await this.transporter.sendMail(_data);
    }
}
exports.Mail = Mail;
exports.default = Mail;
